> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test one buyer-agent webhook endpoint



## OpenAPI

````yaml /openapi/v3.yaml post /api/v2/buyer-agent-principals/{principalId}/notification-subscriptions/{subscriberId}/test
openapi: 3.1.0
info:
  title: Semicola Exchange platform API
  version: 3.0.0-preview
  description: >-
    Platform endpoints of Semicola: sign-in, signup and OAuth for MCP clients,
    accounts, members and keys, billing, notifications, the Semi assistant (chat
    stream, confirmations, conversations), the MCP App widget host and realtime
    feeds. Typed agent tools live on the MCP server at /mcp/v3.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Auth
  - name: Signup
  - name: OAuth
  - name: Accounts
  - name: Members
  - name: API Keys
  - name: Buyer Agent Principals
  - name: Asks
  - name: Connected Apps
  - name: Onboarding
  - name: Billing
  - name: AI Usage
  - name: Notifications
  - name: Assistant
  - name: MCP Apps
  - name: Realtime
  - name: Demo
paths:
  /api/v2/buyer-agent-principals/{principalId}/notification-subscriptions/{subscriberId}/test:
    post:
      tags:
        - Buyer Agent Principals
      summary: Test one buyer-agent webhook endpoint
      operationId: >-
        postBuyerAgentPrincipalsByPrincipalIdNotificationSubscriptionsBySubscriberIdTest
      parameters:
        - name: principalId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
        - name: subscriberId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                storefrontId:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 2147483647
                confirmationText:
                  type: string
                  minLength: 1
                  maxLength: 255
              required:
                - storefrontId
                - confirmationText
              additionalProperties: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          principalId:
                            type: string
                          subscriberId:
                            type: string
                          storefrontId:
                            type: integer
                            exclusiveMinimum: 0
                            maximum: 2147483647
                          configurationVersion:
                            type: string
                            minLength: 1
                            maxLength: 255
                          challenged:
                            type: integer
                            minimum: 0
                            maximum: 1
                          verified:
                            type: integer
                            minimum: 0
                            maximum: 1
                          failed:
                            type: integer
                            minimum: 0
                            maximum: 1
                        required:
                          - principalId
                          - subscriberId
                          - storefrontId
                          - configurationVersion
                          - challenged
                          - verified
                          - failed
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: __Host-sc_session
      description: >-
        The app session: host-only on the api and sent only by the web app.
        Integrations use bearerAuth.

````